阅读背景:

未能在Mac OS X 10.9上构建Yaws

来源:互联网 

I downloaded Yaws 1.98, but when executing ./configure && make if fails with the message provided below:

我下载了Yaws 1.98,但是当执行时。/configure && make如果失败,下面提供的信息如下:

gcc -c -g -O2 -I/usr/include/security -m64 -I/usr/include/pam -DHAVE_SENDFILE -I"/usr/local/lib/erlang/usr/include" -I/usr/include/pam/  epam.c
epam.c:2:10: fatal error: 'pam_appl.h' file not found
#include <pam_appl.h>
         ^
1 error generated.
make[1]: *** [epam.o] Error 1
make: *** [all] Error 1

Any suggestions on how to solve this? is there any other way I can run the latest version of Yaws on Mac OS X 10.9?

有什么建议吗?有没有其他方法可以让我在Mac OS X 10.9上运行最新版本的Yaws ?

2 个解决方案

#1


6  

The pam_appl.h include file is normally found in /usr/include/security on OS X 10.6 and higher, and that's installed as part of the Command Line Tools installation. Normally you would run sudo xcode-select --install from your Terminal command line to install the command line tools, but that sometimes fails — see Failed to install command line tools on OSX Mavericks for details and workarounds. Of course, you can always download the command line tools install package from Apple's Developer site (registration required).

pam_appl。h include文件通常在OS X 10.6或更高的/usr/include/security中找到,这是作为命令行工具安装的一部分安装的。通常,您将运行sudo xcode-select——从终端命令行安装命令行工具,但有时会失败——参见在OSX Mavericks上安装命令行工具失败了解详细信息和解决方案。当然,您也可以从苹果的开发人员站点下载命令行工具安装包(需要注册)。

Since your error message shows you already have gcc, be aware that it's also installed as part of the command line tools installation.

由于错误消息显示您已经拥有gcc,请注意,它也是作为命令行工具安装的一部分安装的。

#2


0  

This shows that pam development library is not available in you mac OS for YAWS to get compiled successfully.

这表明pam开发库在您的mac OS中无法获得成功编译。

I do not have experience in installing pam-devel in mac but on unix based machine yum install pam-devel would help me installing. Please check if something helps here https://www.webmin.com/udownload.html

我没有在mac中安装pam-devel的经验,但是在基于unix的机器上,yum install pam-devel会帮助我安装。请在https://www.webmin.com/udownload.html查看是否有帮助


分享到: